package net.northking.cctp.executePlan.feign.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class AtuCaseSetResultDto {
    @ApiModelProperty("集合id")
    private List<String> setId;

    @ApiModelProperty("是否存在PC/接口用例")
    private boolean hasPcCase;

    @ApiModelProperty("是否存在移动用例")
    private boolean hasMobCase;

    @ApiModelProperty("是否存在安卓用例")
    private boolean hasAndroidCase;

    @ApiModelProperty("是否存在IOS用例")
    private boolean hasIOSCase;

    @ApiModelProperty("是否存在B/S用例")
    private boolean hasBSCase;

    @ApiModelProperty("是否存在C/S用例")
    private boolean hasCSCase;

    @ApiModelProperty("是否存在接口用例")
    private boolean hasInterfaceCase;

    @ApiModelProperty("用例数量")
    private List<AtuCaseSetCountDto> atuCaseSetCountDto;

    public boolean isHasBSCase() {
        return hasBSCase;
    }

    public void setHasBSCase(boolean hasBSCase) {
        this.hasBSCase = hasBSCase;
    }

    public boolean isHasCSCase() {
        return hasCSCase;
    }

    public void setHasCSCase(boolean hasCSCase) {
        this.hasCSCase = hasCSCase;
    }

    public boolean isHasInterfaceCase() {
        return hasInterfaceCase;
    }

    public void setHasInterfaceCase(boolean hasInterfaceCase) {
        this.hasInterfaceCase = hasInterfaceCase;
    }

    public boolean isHasAndroidCase() {
        return hasAndroidCase;
    }

    public void setHasAndroidCase(boolean hasAndroidCase) {
        this.hasAndroidCase = hasAndroidCase;
    }

    public boolean isHasIOSCase() {
        return hasIOSCase;
    }

    public void setHasIOSCase(boolean hasIOSCase) {
        this.hasIOSCase = hasIOSCase;
    }

    public List<AtuCaseSetCountDto> getAtuCaseSetCountDto() {
        return atuCaseSetCountDto;
    }

    public void setAtuCaseSetCountDto(List<AtuCaseSetCountDto> atuCaseSetCountDto) {
        this.atuCaseSetCountDto = atuCaseSetCountDto;
    }

    public List<String> getSetId() {
        return setId;
    }

    public void setSetId(List<String> setId) {
        this.setId = setId;
    }

    public boolean isHasPcCase() {
        return hasPcCase;
    }

    public void setHasPcCase(boolean hasPcCase) {
        this.hasPcCase = hasPcCase;
    }

    public boolean isHasMobCase() {
        return hasMobCase;
    }

    public void setHasMobCase(boolean hasMobCase) {
        this.hasMobCase = hasMobCase;
    }
}
